EXTERN _GetCommandLineW@0
EXTERN _CommandLineToArgvW@8
EXTERN _PlaySoundW@12
EXTERN _GetStdHandle@4
EXTERN _WriteFile@20
EXTERN _ExitProcess@4

SECTION .bss
CmdLineArgs	RESD 1

SECTION .text
s_err		DB "Usage: playwav <file.wav>", 13, 10, 0
s_err_len	EQU $-s_err

START:
	PUSH	EBP
	MOV		EBP, ESP
	
	CALL	_GetCommandLineW@0
	
	PUSH	CmdLineArgs
	PUSH	EAX
	CALL	_CommandLineToArgvW@8
	
	MOV	ECX, [CmdLineArgs]
	CMP	ECX, 2
	JE	.play
		PUSH	-11
		CALL	_GetStdHandle@4
		PUSH	0
		PUSH	0
		PUSH	s_err_len
		PUSH	s_err
		PUSH	EAX
		CALL	_WriteFile@20
		JMP		.end
	
	.play:
	MOV	EAX, [EAX + 4]
	PUSH	131072
	PUSH	0
	PUSH	EAX
	CALL	_PlaySoundW@12
	
	.end:
	PUSH	0
	CALL	_ExitProcess@4
	
	POP	EBP
	XOR	EAX, EAX
	RET
